Inquire for the latest status of transations matching additional parameters.
-Get the latest statuses of payment transactions using matching criteria. Currently, you can get the latest transactions statuses up to 90 days from the payment initiation date. If the latest transactions statuses date is 90+ days old, the endpoint responds with HTTP status 404 (not found). -You can use this endpoint to pull the transactions of all payment methods that includes Wires, ACH, and IP. For ACH and Wires, use the end_to_end_id to pull the transactions.
Authentication
All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.
Headers
Encrypt the key values as below. Debtor account or creditor account is mandatory.
-
debtor_account: Your Citi account for instant payment (debit) / outgoing
-
creditor_account: Your Citi account for instant payment (credit) / incoming
-
debtor_proxy_id: Debtor proxy identification - For US RTP Instant Payment - debtor_proxy_id header param is not applicable
-
creditor_proxy_id: Creditor proxy identification - For US RTP Instant Payment - creditor_proxy_id header param is not applicable
-
debtor_virtual_account: Your Citi virtual account for instant payment (debit) / outgoing - For US RTP Instant Payment - debtor_virtual_account header param is not applicable
-
creditor_virtual_account: Your Citi virtual account for instant payment (credit) / incoming - For US RTP Instant Payment - creditor_virtual_account header param is not applicable
Sample header before encryption: {“debtor_account”:“3001386964”,“creditor_proxy_id”:“a93d@gmail.com”}
Query parameters
Transaction reference generated for or by a network (e.g., PromptPay)
GMT (ISO 8601 YYYY-MM-DDTHH:MM:SS.sssZ)
- Instant Payment (Debit) - Start of date time, generated by CitiConnect API, when CitiConnect API accepted a payment initiation after validation
- Instant Payment (Credit) - Start of date time, either provided by the debtor bank or generated by Citi’s transaction processing application, when a transaction was created
GMT (ISO 8601 YYYY-MM-DDTHH:MM:SS.sssZ)
- Instant Payment (Debit) - End of date time, generated by CitiConnect API, when CitiConnect API accepted a payment initiation after validation
- Instant Payment (Credit) - End of date time, either provided by the debtor bank or generated by Citi’s transaction processing application, when a transaction was created
Settlement amount (e.g., after any currency exchange or charge on the instructed amount)
GMT (ISO 8601 YYYY-MM-DDTHH:MM:SS.sssZ)
- Instant Payment - Start date time of the transaction status change (when CitiConnect API change the status of the transaction)
GMT (ISO 8601 YYYY-MM-DDTHH:MM:SS.sssZ)
- Instant Payment - Start end time of the transaction status change (when CitiConnect API change the status of the transaction)
Limit you want Citi to apply to your payment status inquiry results
- Maximum value is 1,000.
Response headers
Response
Message Identification
- If transaction.status.code = ACCC/PDNG/RJCT/ACWP then this field may be present
Either populate uetr OR (end_to_end_id AND value_date) for the refund to be processed